Bug 1126223 - Update to version 10.2.5
Summary: Update to version 10.2.5
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 18:19 UTC by Michael Kuhn
Modified: 2014-11-19 19:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 17:46:24 UTC


Attachments (Terms of Use)
Update to 10.2.5 (4.78 KB, patch)
2014-08-03 18:19 UTC, Michael Kuhn
no flags Details | Diff

Description Michael Kuhn 2014-08-03 18:19:36 UTC
Created attachment 923651 [details]
Update to 10.2.5

The attached patch updates the mesa package (f21 branch) to version 10.2.5.
I have updated the packaging to be able to handle the upstream tarballs and based the 10.2.5 package upon this. (It is still possible to use Git snapshots by simply defining gitdate again, so it would be nice if this could be merged as it makes working with the package somewhat nicer.)

You can also pull from the mesa-10.2.5 branch from the following Git repository: https://git.ikkoku.de/git/suraia/fedora/mesa

Comment 1 Ernesto Manríquez 2014-08-04 01:15:15 UTC
Will F20 be updated to Mesa 10.2.5?

Comment 2 Igor Gnatenko 2014-08-06 08:22:18 UTC
patch is incomplete, but I will update mesa to 10.2.5 for f21

Comment 3 Michael Kuhn 2014-08-06 09:52:22 UTC
Out of curiosity: In which regard is the patch incomplete? I used it to build Mesa 10.2.5 for my Fedora 20 installation.

In my opinion, the packaging changes are nice because they allow using spectool to automatically download the sources.
I could update the patch if you are interested/willing to merge it.

Comment 4 Igor Gnatenko 2014-08-06 17:46:24 UTC
updated for f21. f20 will has 10.1.x

Comment 5 Marek Zdunek 2014-08-20 17:16:49 UTC
When will be mesa 10.2 for fc20? Why we stuck with older version?

Comment 6 Clemens Eisserer 2014-08-21 07:24:49 UTC
with the final release of F21 scheduled mid novemeber and mesa-10.1 already at EOL, an update for F20 would be very appreciated - especially considering mesa-10.2 is now already at 10.2.6, so it had quite some minor releases to stabilize.

Comment 7 Marek Zdunek 2014-10-23 21:55:27 UTC
Please update mesa to newer version. When fedora 21 will be released there will be already mesa 10.4. So we stuck with outdated eol version for 2-3 months? Three people asks for update this stuff, you need forum thread with 100 posts to do this?

Comment 8 Igor Gnatenko 2014-11-19 19:06:28 UTC
(In reply to Marek Zdunek from comment #7)
> Please update mesa to newer version. When fedora 21 will be released there
> will be already mesa 10.4. So we stuck with outdated eol version for 2-3
> months? Three people asks for update this stuff, you need forum thread with
> 100 posts to do this?
First, stop commenting closed bugs. open new bugs in this cases.
Second, https://admin.fedoraproject.org/updates/FEDORA-2014-15165/llvm-3.4-10.fc20,libdrm-2.4.58-1.fc20,mesa-10.3.3-1.20141110.fc20


Note You need to log in before you can comment on or make changes to this bug.